stack-1.3.2: The Haskell Tool Stack

Safe Haskell | None
Language | Haskell2010

Stack.Build.Haddock

Description

Generate haddocks

Synopsis

- generateLocalHaddockIndex :: (MonadIO m, MonadCatch m, MonadLogger m, MonadBaseControl IO m) => EnvOverride -> WhichCompiler -> BaseConfigOpts -> Map GhcPkgId (DumpPackage () ()) -> [LocalPackage] -> m ()
- generateDepsHaddockIndex :: (MonadIO m, MonadCatch m, MonadLogger m, MonadBaseControl IO m) => EnvOverride -> WhichCompiler -> BaseConfigOpts -> Map GhcPkgId (DumpPackage () ()) -> Map GhcPkgId (DumpPackage () ()) -> Map GhcPkgId (DumpPackage () ()) -> [LocalPackage] -> m ()
- generateSnapHaddockIndex :: (MonadIO m, MonadCatch m, MonadLogger m, MonadBaseControl IO m) => EnvOverride -> WhichCompiler -> BaseConfigOpts -> Map GhcPkgId (DumpPackage () ()) -> Map GhcPkgId (DumpPackage () ()) -> m ()
- openHaddocksInBrowser :: StackM env m => BaseConfigOpts -> Map PackageName (PackageIdentifier, InstallLocation) -> Set PackageName -> m ()
- shouldHaddockPackage :: BuildOpts -> Set PackageName -> PackageName -> Bool
- shouldHaddockDeps :: BuildOpts -> Bool

# Documentation

generateLocalHaddockIndex #

Arguments

:: (MonadIO m, MonadCatch m, MonadLogger m, MonadBaseControl IO m) |
=> EnvOverride |
-> WhichCompiler |
-> BaseConfigOpts |
-> Map GhcPkgId (DumpPackage () ()) | Local package dump
-> [LocalPackage] |
-> m () |

Generate Haddock index and contents for local packages.

generateDepsHaddockIndex #

Arguments

:: (MonadIO m, MonadCatch m, MonadLogger m, MonadBaseControl IO m) |
=> EnvOverride |
-> WhichCompiler |
-> BaseConfigOpts |
-> Map GhcPkgId (DumpPackage () ()) | Global dump information
-> Map GhcPkgId (DumpPackage () ()) | Snapshot dump information
-> Map GhcPkgId (DumpPackage () ()) | Local dump information
-> [LocalPackage] |
-> m () |

Generate Haddock index and contents for local packages and their dependencies.

generateSnapHaddockIndex #

Arguments

:: (MonadIO m, MonadCatch m, MonadLogger m, MonadBaseControl IO m) |
=> EnvOverride |
-> WhichCompiler |
-> BaseConfigOpts |
-> Map GhcPkgId (DumpPackage () ()) | Global package dump
-> Map GhcPkgId (DumpPackage () ()) | Snapshot package dump
-> m () |

Generate Haddock index and contents for all snapshot packages.

openHaddocksInBrowser #

Arguments

:: StackM env m |
=> BaseConfigOpts |
-> Map PackageName (PackageIdentifier, InstallLocation) | Available packages and their locations for the current project
-> Set PackageName | Build targets as determined by `loadSourceMap`
-> m () |

shouldHaddockPackage #

Arguments

:: BuildOpts |
-> Set PackageName | Packages that we want to generate haddocks for in any case (whether or not we are going to generate haddocks for dependencies)
-> PackageName |
-> Bool |

Determine whether we should haddock for a package.

shouldHaddockDeps :: BuildOpts -> Bool #

Determine whether to build haddocks for dependencies.